/* available font weights are: 300,400,600 */






/* MLW Styles 
____________________
*/

html {
  font-size: 1rem;
}

@media only screen and (max-width: 36em) {
  html {
    font-size: 0.9rem;
  }
}

.no-js-warning {
  display:none;
}

/*for clearing floats, put this on empty div */
.clear {
  clear: both
}

/* 3d levels */

html,body{ 
  position:relative;
  z-index:-100;
}
.visuallyhidden,
.back-to-top {
  z-index:18
}
.broswerupgrade {
  position:relative;
  z-index:17
}
.no-js-warning {
  position:relative;
  z-index:16
}
.global-nav-menu, 
.global-footer {
  position:relative;
  z-index:15
}
.site-header,
.footer-block {
  position:relative;
  z-index:14
}
body .site-container .mlw-nav {
  position:relative;
  z-index:20
}
.hero-banner-card,
.site-container > .card.bg-dark /*hack until hero banner class added */
{ 
  position:relative;
  z-index:12
}
.breadcrumb-bar,
.site-container > nav /*hack until hero banner class added */
{
  position:relative;
  z-index:11
}
.page-nav-menu-card {
  position:relative;
  z-index: 1;
}
#main_content {
  position:relative;
  z-index: 0;
}
.site-container {
  position:relative;
  overflow-y: hidden;
  z-index: -10;
}

/* end of 3d levels */



a:focus {
  outline: dotted thin
}

a:hover {
  text-decoration: underline;
  outline: 0
}


a:focus,
button:hover,
button:focus,
.socialmedia-icons ul li a:focus,
.socialmedia-icons ul li a:hover, 
.title-area h1:focus,
.btn-mlw:hover:not(.active) ,
.btn-mlw:focus:not(.active) {
  background-color: rgb(80, 160, 210);
  color: white;
  font-weight: 600;
  text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.4);
  z-index: 100;
  text-decoration: none;
}

.btn-mlw.active{
  color: rgb(60, 120, 170);
  background-color: white;
  outline: none;
  font-weight: 600;
  text-shadow: 0px 1px 1px rgba(255, 255, 255, 0.4);
  z-index: 2; 
  text-decoration: none;
}

/* makes a pointer triangle 
.btn-mlw.active::after {
  content:"";
  width: 0; 
  height: 0; 
  position: absolute;
  right: 4px;
  top: 9px;
  display:inline-block;
  border-top: 7px solid transparent;
  border-bottom: 7px solid transparent;
  
  border-left: 8px solid rgb(60, 120, 170);
}*/

#main_content {
  padding: 0 2px;
}

.breadcrumb {
  font-size: 0.80em;
  letter-spacing: 1px; 
  border-radius: 0;
  margin: 0 2px 30px 2px;
  padding: 0.2em 2.7em;
  box-shadow: 0px 1px 4px rgba(0, 0, 0, 0.5);
}
.breadcrumb-bar{
  /*animation: 0.8s ease-in-out 0s 1 slideInFromTop; */
}




.page-title { 
  /*background: linear-gradient(45deg, rgba(0,0,0,0.25) 60%, transparent); */
  letter-spacing: 0.4px;
  font-size: 200%;
  margin-bottom: 0px;
  padding: 0.25em 1em;
  color: white;
  text-shadow:
  3px 3px 1px rgba(0,0,0,0.6),
  -1px -1px 0 #000,  
  1px -1px 0 #000,
  -1px 1px 0 #000,
  1px 1px 0 #000;
  
  /*animation: 0.66s ease-in-out 0s 1 slideInFromLeft;*/  
}

@media only screen and (max-width: 36em) {
  .page-title { 
    font-size: 150%;
    padding: 0.25em;
  }
}

.news-headline {
  font-size: 1rem;
  font-weight: 600;
  margin-bottom: 0.5rem;
}

.news-date {
  text-transform: uppercase;
  font-size: 0.8rem;
  color: rgb(75,75,75);
  margin-bottom: 0;
}




.hero-box {
  height: 100%;
  position: absolute;
  right: 0;
  bottom: 0;
  padding: 0.5em;
}

.hero-tagline {
  color: rgba(255,255,255,0.85);
  font-size: 1.25em;
  font-weight: 400;
  margin-top: 0em;
  margin-right: 4.5em;
}


.hero-byline {
  font-size: 1em;
}

.hero-button {
  position: absolute;
  right: 1.5em;
  bottom: 0.66em;
  font-size: 0.7em !important;
  color: rgba(255,255,255,0.85);
}

.mb-standard {
  margin-bottom: 30px;
}

.mt-standard {
  margin-top: 30px;
}

hr {
  margin: 0.5rem 0;
}


.card {
  /* cards must be block and not flex or IE will stretch images and cards to all hell */
  display: block;
  /* end of IE fix */
  
  margin-bottom: 30px;
  border-radius: 0;
  border: none;
  background: white;
  box-shadow: 1px 1px 4px rgba(0, 0, 0, 0.66);
  transition: background 0.33s ease 0s;
}

.card-body {
  padding: 1rem 1rem;
}



.card-group-of-cards {
  background: rgba(25,74,107,0.25);
}

.card-group-of-cards-body {
  /* for some reason fixes margins on internal elements after
  turning cards into blocks to fix ie image display bugs */
  padding: 0.01rem 0.01rem;
}

.card-group-of-cards-body > .card,
.card-group-of-cards-body > div > .card,
.card-group-of-cards-body > .tab-content > .tab-pane > .card
{  
  margin: 0.8rem 0.4rem;
}

.card-group-of-cards-body > .card > .card-body > p:last-of-type,
.card-group-of-cards-body > div > .card > .card-body > p:last-of-type
{
  margin-bottom: 0;
}

.card-header
{
  background-color: #194a6b;
  border-top-left-radius: 0 !important;
  border-top-right-radius: 0 !important;
  padding: 4px 10px;
}

.card-header h3 {
  color: rgb(255,255,255);
  background-color: #194a6b;
  margin-top: 0;
  margin-bottom: 0;
  letter-spacing: 0.4px;
}

.card-header-button {
  font-size: 0.7em !important;
}



.img-cover, .card-img {
  object-fit: cover;
  width: 100%;
  height: 100%;
  min-height: 150px;
}

.hero-banner { 
  min-height: 240px;
}


/* override bootstrap rounded corners */
.card-img-top, .card-img-bottom, .card-img {
  border-top-left-radius: 0 !important;
  border-top-right-radius: 0 !important;
  border-bottom-left-radius: 0 !important;
  border-bottom-right-radius: 0 !important;
}

.list-group-item {
  background-color: inherit;
  padding: 0.5rem 1.25rem;
}

ul, ol {
  padding: 0 0 0 1.5rem;
}


.info-list {
  margin-bottom: 0;
}

.info-list li {
  padding: 6px 15px;
}

.fa-ul li {
  padding: 6px;
}
 
.card-title {
  margin-top: 0; 
  margin-bottom: 6px;
}

.card-footer {
  padding: 0;
  background-color: #3f78a7;
  border: none;
  border-bottom-left-radius: 0 !important;
  border-bottom-right-radius: 0 !important;
}

.card-body .card {
  margin-bottom: 15px;
}

.card-body .card .card-body {
  font-size: 94%;
  padding: 6px 15px;
}

.card-img-overlay {
  padding: 0;
}

/* main horizontal division menu at top of page */
/* override bootstrap coloring */
.navbar .navbar-toggler .navbar-toggler-icon,
.navbar-collapse .navbar-nav .nav-link {
  color: rgba(255,255,255,0.85);
}

.navbar {
  background-color: rgb(60, 120, 170);
  color: rgba(255,255,255,0.85);
  padding: 0.1px 0.1px;
  transition: color 0.33s ease 0s, background-color 0.33s ease 0s, transform 0.33s ease 0s, box-shadow 0.33s ease 0s, border 0.33s ease 0s;
}

.mlw-color {
  background-color: rgb(60, 120, 170);
}

.navbar-toggler {

}

input.btn-cta,
button.btn-cta,
a.btn-cta {
  background-color: rgb(60, 170, 120);
  text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.4);
  font-weight: 600;
}


.btn-mlw {
  background-color: rgb(60, 120, 170);
  color: rgba(255,255,255,0.85);
  font-weight: 600;
  font-size: 0.80rem;
  text-transform: uppercase;
  letter-spacing: 0.09rem;
  text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.4);
  
  padding: 0.3em 0.6em !important;
  border-top: 2px solid rgba(255, 255, 255, 0.25);
  border-left: 2px solid rgba(175, 175, 175, 0.25);
  border-right: 2px solid rgba(80, 80, 80, 0.25);
  border-bottom: 2px solid rgba(0,0,0, 0.25);
  border-radius: 0px;
  z-index: 1;

  transition: color 0.33s ease 0s, background-color 0.33s ease 0s, transform 0.33s ease 0s, box-shadow 0.33s ease 0s,
              font-weight 0.33s ease 0s, font-size 0.33s ease 0s, text-shadow 0.33s ease 0s, border 0.33s ease 0s;
  transform: translate(0px, 0px);
  box-shadow: 0px 1px 0px transparent;
}

.btn-mlw:hover:not(.active) , .btn-mlw:focus:not(.active) , .btn-mlw:active:not(.active) {
  outline:none;
  transform: translate(-1px, -1px);
  box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.5);
}

.disabled {
  background-color:grey;
	pointer-events:none;
	cursor:default;
}

.fa-ul {
  margin-bottom: 10px;
}

/* prevents/hides underline of icons when inside <a> tags but lets the text of the tag still show underline */
.iwrap {
  display:inline-block;
  background-color:inherit;
  padding: 0px 0px 0px 16px;
  margin-bottom: 4px;
  margin-right: -4px;
}

.badge-pdf {
  margin-left: 4px;
  color: inherit;
  background-color: inherit; 
}


.footer-block {
  background-color: #194a6b;
  color: #fff;
  padding: 20px;
}

.footer-block p {
  color: #fff;
}

.badge-outline {
  color:rgb(50,50,50);
  border: 2px outset;
  background-color: transparent;
}

.badge-price {
  color:rgb(50,50,50);
  border: 2px outset;
  background-color: transparent;
}

.table-center-all th,
.table-center-all td
{
  text-align: center;
}

table {
  border: 2px solid #777;
}
th,td {
  border: 1px solid #999;
}


/* For expandable cards
.card-header a:hover { text-decoration: none; }
.card-header a h3:hover { background-color: rgb(83, 160, 211); }
*/

/* ANIMATIONS */
.slide-in-from-top
{
  opacity: 0;
  animation: slideInFromTop 0.5s ease-in-out 0.2s forwards;  
}
.slide-in-from-right {
  opacity: 0;
  animation: slideInFromRight 0.5s ease-in-out 0.2s forwards; 
}
.slide-in-from-bottom {
  opacity: 0;
  animation: slideInFromBottom 0.5s ease-in-out 0.2s forwards; 
}
.slide-in-from-left {
  opacity: 0;
  animation: slideInFromLeft 0.5s ease-in-out 0.2s forwards; 
}

@keyframes slideInFromTop {
  0%   { 
    -webkit-transform: translateY(-100%);
    transform: translateY(-100%);
  }
  100% { 
    opacity:1;
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }
}

@keyframes slideInFromRight{
  0%   { 
    -webkit-transform: translateX(100%);
    transform: translateX(100%); 
  }
  100% { 
    opacity:1;
    -webkit-transform: translateX(0);
    transform: translateX(0);
  }
}

@keyframes slideInFromBottom {
  0%   { 
    -webkit-transform: translateY(100%);
    transform: translateY(100%); 
  }
  100% { 
    opacity:1;
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }
}

@keyframes slideInFromLeft{
  0%   { 
    -webkit-transform: translateX(-100%);
    transform: translateX(-100%); 
  }
  100% { 
    opacity:1;
    -webkit-transform: translateX(0);
    transform: translateX(0);
  }
}


/* Styles if user has js disabled */
html.no-js .collapse,
html.no-js .dropdown:hover > .dropdown-menu,
html.no-js .tab-pane,
html.no-js .no-js-warning {
  display: block;
  opacity: 1;
}


/* print specific styles */
@media print{

  a.back-to-top {
    border: none;
    opacity: 0;
  }
  .site-title,
  .site-description,
  .card-header > h3 {
    display:block;
    color:#222;
  }
  .card {
    border-bottom: 1px solid #555;
    margin: 5px;
  }
  .card-img {
    display:none;
  }
}